﻿@using StarterProjectV2.Models
@*@model StarterProjectV2.ViewModels.AdditionalFamilyView*@
@model StarterProjectV2.ViewModels.OwnersInfoFamilyNomineeAttFilesView

@{
    ViewBag.Title = "Family Create";
}

@section HEADERJS{
    <script type="text/javascript" src="https://cdn.jsdelivr.net/jquery/1/jquery.min.js"></script>
}
@section FOOTERJS{
    <script src="~/Content/vendors/js/coreui.min.js"></script>
    <script src="~/Content/vendors/js/toastr.min.js"></script>
}
@section PAGETITLE{
   Family Create
}
<body style="background-color: oldlace">
<div class="card">
    <div class="card-body" id="class-body-family">
        <h1 class="text-center" style="margin-bottom: 40px;color: indianred">Owner's Family Information Form</h1>
        @*@using (Html.BeginForm("OwnersFamilyInfoAddorEdit", "AdditionalInformation", new { ReturnUrl = ViewBag.ReturnUrl }, FormMethod.Post, new { @class = "form-horizontal", role = "form" }))
            {*@
        <div class="form-group row mb-3">
            @Html.LabelFor(m => m.OFSpouseName, new { @class = "col-sm-3 col-lg-2 col-md-3  col-form-label" })
            @Html.TextBoxFor(m => m.OFSpouseName, new { @class = "form-control col-sm-3 col-lg-3 col-md-3", placeholder = "Owner's Spouse Name", type = "text", id = "spouseName" })

            @Html.LabelFor(m => m.OFSpouseDOB, new { @class = "col-sm-3 col-lg-2 col-md-3 col-form-label" })
            @Html.TextBoxFor(m => m.OFSpouseDOB,
                new { @class = "form-control col-sm-3 col-lg-3 col-md-3", placeholder = "Spouse's Date Of Birth", type = "date", id = "spouseDOB" })
        </div>
        <div class="form-group row mb-3">
            <label class="col-sm-3 col-lg-2 col-md-3 col-form-label">Spouse NID</label>
            @Html.TextBoxFor(m => m.OFSpouseNID, new { @class = "form-control col-sm-3 col-lg-3 col-md-3", placeholder = "Owner's Spouse NID", type = "text", id = "spouseNID" })
            <label class="col-sm-3 col-lg-2 col-md-3 col-form-label">Picture of Spouse's NID for Verification</label>
            <div class="col-sm-3 col-lg-3 col-md-3">
                <input type="file" class="custom-file-input" id="upload-file-NID" name="file" /> @*id="file">*@
                <label class="custom-file-label" for="upload-file-NID" id="upload-file-NID-label">Choose file</label>
            </div>
        </div>
        <div class="form-group row mb-3">
            <label class="col-sm-3 col-lg-2 col-md-3 col-form-label">Picture of Spouse</label>
            <div class="col-sm-3 col-lg-3 col-md-3">
                <input type="file" class="custom-file-input" id="upload-file-picture" name="file" /> @*id="file">*@
                <label class="custom-file-label" for="upload-file-picture" id="upload-file-picture-label">Choose file</label>
            </div>
        </div>
        <div class="form-group row mb-3">
            @Html.LabelFor(m => m.OFSpouseMobile, new { @class = "col-sm-3 col-lg-2 col-md-3 col-form-label" })
            @Html.TextBoxFor(m => m.OFSpouseMobile, new { @class = "form-control col-sm-3 col-lg-3 col-md-3", placeholder = "+880xxxxxxxxxx", type = "text", id = "spouseMobile" })
            @Html.LabelFor(m => m.OFSpouseEmail, new { @class = "col-sm-3 col-lg-2 col-md-3 col-form-label" })
            @Html.TextBoxFor(m => m.OFSpouseEmail, new { @class = "form-control col-sm-3 col-lg-3 col-md-3", placeholder = "example@gmail.com", type = "text", id = "spouseEmail" })
        </div>


        <button type="button" class="btn btn-success m-1 but">Add Child</button>
        <div class="children"></div>
        @Html.HiddenFor(m => m.OwnersFamilyId)
        @Html.HiddenFor(m => m.OFOwnerId)

        <div class="row">
            <div>
                <button type="submit" class="btn btn-primary m-1" onclick="FullSubmit()">Submit</button>
            </div>
            <div>
                <button type="button" class="btn btn-danger m-1">Reset</button>
            </div>
            <div>
                <button type="button" class="btn btn-warning m-1" onclick="goBack()">Back</button>
            </div>
            <div>
                <button type="button" class="btn btn-info m-1" onclick="gotoNominee()">Skip</button>
            </div>
        </div>
        @*}*@
    </div>
</div>
</body>
<script>
    function goBack() {
        window.location.href = "/AdditionalInformation/ProjectCreate?OwnerId=" + '@Model.OFOwnerId';
    }
</script>
<script>
    function gotoNominee() {
        window.location.href = "/AdditionalInformation/NomineeCreate?OwnerId=" + '@Model.OFOwnerId';
    }
</script>
@*Upload Spouse Picture*@
<script>
    function PictureUpload() {
        var ownerId = '@Model.OFOwnerId';
        //alert(ownerId);
        var formdata = new FormData(); //FormData object
        var fileInput = document.getElementById('upload-file-picture');
        for (i = 0; i < fileInput.files.length; i++) {
            //Appending each file to FormData object
            formdata.append(fileInput.files[i].name,fileInput.files[i], "SPic_"+ownerId+".jpg");
        }
        //Creating an XMLHttpRequest and sending
        var xhr = new XMLHttpRequest();
        xhr.open('POST', '../AdditionalInformation/Upload/');
        xhr.send(formdata);
        xhr.onreadystatechange = function () {
            if (xhr.readyState == 4 && xhr.status == 200) {
                //alert(xhr.responseText);
            }
        }
        return false;
    }

</script>
@*Upload Spouse NID*@
<script>
    function NIDUpload() {
        var ownerId = '@Model.OFOwnerId';
        //alert(ownerId);
        var formdata = new FormData(); //FormData object
        var fileInput = document.getElementById('upload-file-NID');
        //Iterating through each files selected in fileInput
        for (i = 0; i < fileInput.files.length; i++) {
            fileInput.files[i].name = ownerId;
        }
        for (i = 0; i < fileInput.files.length; i++) {
            //Appending each file to FormData object
            formdata.append(fileInput.files[i].name, fileInput.files[i], "SNIDPic_" + ownerId + ".jpg");
        }
        //Creating an XMLHttpRequest and sending
        var xhr = new XMLHttpRequest();
        xhr.open('POST', '../AdditionalInformation/Upload/');
        xhr.send(formdata);
        xhr.onreadystatechange = function () {
            if (xhr.readyState == 4 && xhr.status == 200) {
                //alert(xhr.responseText);
            }
        }
        return false;
    }
</script>
@*Adding Child*@
<script>
    var childNo = 1;
    var fun = function () {
        $('.children').append('<div class="child' + childNo + '"><div class="row"><div class="col"><input type="text" class="form-control" placeholder="Name" id="ChildName" required="required"></div><div class="col"><input type="date" class="form-control" placeholder="DOB" id="ChildDOB"></div><div class="col"><input type="file" class="custom-file-input" placeholder="Childs Picture" id="ChildPicture" name="ChildPicture"><label class="custom-file-label" for="ChildPicture" id="upload-child-picture-label">Choose file</label></div></div></form>');

        childNo++;
    }

</script>
@*Child Picture Upload*@
<script>
    function ChildPictureUpload() {
        var ownerId = '@Model.OFOwnerId';
        //alert("CPU"+ownerId);
        //document.getElementById('uploader').onsubmit = function() {
        var formdata = new FormData(); //FormData object
        var fileInput = [document.getElementById('ChildPicture')];


        var n = document.getElementById("ChildPicture");
        var a = [];
        var i;
        while(n) {
            a.push(n);
            n.id = "ChildPicture1";
            n = document.getElementById("ChildPicture");
        }


        for(i = 0;i < a.length; ++i) {
            a[i].id = "ChildPicture";
        }

        for (i = 0; i < a.length; i++) {
            //alert("CPU" + a[i].files[0].name);
        }

        for (i = 0; i < a.length; i++) {
            //Appending each file to FormData object
            //alert(a[i].files[0].name);
            formdata.append(a[i].files[0].name, a[i].files[0], "CPic_" + i + "_" + ownerId + ".jpg");
            //    }
        }

        var xhr = new XMLHttpRequest();
        xhr.open('POST', '../AdditionalInformation/Upload/');
        xhr.send(formdata);
        xhr.onreadystatechange = function () {
            if (xhr.readyState == 4 && xhr.status == 200) {
                //alert(xhr.responseText);
            }
        }
        return false;
    }

</script>
<script>
    for (i = 0; i < childNo; i++) {
        //alert("#ChildPicture"+$i);
        var childi = 'ChildPicture' + $i;
        //$("#ChildPicture' + childNo + '").change(function(e) {
        $("#' +$childi '").change(function (e) {
            var filename = $("#ChildPicture")[i].files[i].name;
            var filetype = $("#ChildPicture")[i].files[i].type;
            var filesize = $("#ChildPicture")[i].files[i].size;
            $("#upload-child-picture-label").text(filename);
        });
    }
</script>

<script>
    $('.but').click(fun);


    function retrieve() {
        var ChildName = $('input[id="ChildName"]').map(function () {
            return this.value;
        }).get();
        //var values = document.getElementById("Child-Name").value;
        //alert(ChildName);

        var ChildDOB = $('input[id="ChildDOB"]').map(function () {
            return this.value;
        }).get();
        //var values = document.getElementById("Child-Name").value;
        //alert(ChildDOB);

        var ChildPicture = $('input[id="ChildPicture"]').map(function () {
            return this.value;
        }).get();
        //var values = document.getElementById("Child-Name").value;
        //alert(ChildPicture);

        var ownerId = '@Model.OFOwnerId';
        var fileInputNID = document.getElementById('upload-file-NID');
        //Iterating through each files selected in fileInput

        var SpouseNIDPicturePath = "~/Content/families/" + "SNIDPic_" + ownerId + ".jpg";

        var fileInputSpousePicture = document.getElementById('upload-file-picture');

        var SpousePicturePath = "~/Content/families/" +
            "SPic_" + ownerId + ".jpg";

        //alert(SpouseNIDPicturePath);
        //alert(SpousePicturePath);

        var myModel = {
            SpouseName: $('#spouseName').val(),
            SpouseDOB: $('#spouseDOB').val(),
            SpouseNID: $('#spouseNID').val(),
            SpouseEmail: $('#spouseEmail').val(),
            SpouseMobile: $('#spouseMobile').val(),
            SpouseNIDPath: SpouseNIDPicturePath,
            SpousePicture: SpousePicturePath,
            OwnerId: ownerId,
            ChildNameArray: ChildName,
            ChildDOBArray: ChildDOB,
            ChildPictureArray: ChildPicture
        };

        $.ajax({
            context: this,
            type: 'post',
            url: '../AdditionalInformation/gettingOwnerFamilyInfo/',
            data: myModel,
            success: function (result) {
                //alert(result);
                window.location.href = "/AdditionalInformation/NomineeCreate?OwnerId=" + ownerId;

            },
            error: function () {
                //error();

            }
        });
    }
</script>
<script>
    function ShowingToastr() {
        var ChildName = $('input[id="ChildName"]').map(function () {
            return this.value;
        }).get();
        var len = ChildName.length;
        var flg = false;
        for (var i = 0; i < len; i++) {
            if (ChildName[i] == "") {
                flg = true;
                break;
            }
        }
        if (flg == true) {
            toastr.error('Please Fill Up All the Child Name', 'Error!!!!', {
                closeButton: true,
                progressBar: true,
            });
        }
    }
</script>

@*Combining all things of family together*@
<script>
    function FullSubmit() {
        ShowingToastr();

        PictureUpload();
        NIDUpload();
        ChildPictureUpload();

        retrieve();
    }
</script>